Gönderen Konu: [Çözüldü] Yazılım Yöneticisi Kaldırılan Uygulamaları Yeniden Kuramama Sorunu  (Okunma sayısı 263 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

Çevrimdışı Greydeath

  • Çaylak Penguen
  • **
  • İleti: 106
  • Dağıtım: Manjaro 18.0.4
  • Masaüstü: XFCE
  • Grafik Kartı: NVIDIA GF108 [GeForce GT 420]
  • İşlemci: Intel Core i5-2500
  • RAM: 8 GB
Merhaba linux mint 18.3 kullanıyorum. Yazılım yöneticisinde daha önce çalıştırıp kaldırdığım programları tekrar kurmak istedim ancak program yüklemeye uygun değil gibi bir hata alıyorum. Acaba linux sürümünden mi kaynaklanıyor?
özür dilerim. uzun süredir sorunla karşılaşmayınca foruma soru sorma şeklini unutmuşum
Kod: [Seç]
inxi -Sr
System:    Host: MuratLmint Kernel: 4.15.0-43-generic x86_64 (64 bit)
           Desktop: MATE 1.18.0  Distro: Linux Mint 18.3 Sylvia
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://liveusb.info/multisystem/depot all main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com sylvia main upstream import backport
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
Kod: [Seç]
sudo apt-get update
[sudo] password for murat:
Aynı:  1 http://archive.ubuntu.com/ubuntu xenial InRelease
İndir: 2 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB] 
Yoksay:3 http://dl.google.com/linux/chrome/deb stable InRelease               
İndir: 4 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [109 kB]   
Aynı:  5 http://archive.canonical.com/ubuntu xenial InRelease                 
Yoksay:6 http://liveusb.info/multisystem/depot all InRelease                   
Yoksay:7 http://packages.linuxmint.com sylvia InRelease                       
Aynı:  8 http://liveusb.info/multisystem/depot all Release                     
Aynı:  10 http://dl.google.com/linux/chrome/deb stable Release                 
Aynı:  11 http://packages.linuxmint.com sylvia Release                         
İndir: 12 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [107 kB]
1 sn.'de 323 kB alındı (294 kB/s)                             
Paket listeleri okunuyor... Bitti
Kod: [Seç]
sudo apt-get install -f
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Aşağıdaki paketler otomatik olarak kurulmuş ve artık bu paketlere gerek duyulmuyor:
  libgsoap8 libvncserver1 linux-headers-4.15.0-24
  linux-headers-4.15.0-24-generic linux-image-4.15.0-24-generic
  linux-modules-4.15.0-24-generic linux-modules-extra-4.15.0-24-generic
  python-keyring python-numpy python-pyquery python-xmltodict virtualbox-dkms
Bu paketleri kaldırmak için 'sudo apt autoremove' komutunu kullanın.
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.

Düzenleme: Konu başlığı
« Son Düzenleme: 30 Aralık 2018, 18:15:20 Gönderen: Greydeath »
Knoppix live CD, Pardus Live CD, Suse Linux Live CD
Ubuntu(Notebook), Linux Mint(Bilgisayar)

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16807
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Greydeath

  • Çaylak Penguen
  • **
  • İleti: 106
  • Dağıtım: Manjaro 18.0.4
  • Masaüstü: XFCE
  • Grafik Kartı: NVIDIA GF108 [GeForce GT 420]
  • İşlemci: Intel Core i5-2500
  • RAM: 8 GB
update yaptıktan sonra yazılım yöneticisi düzeldi galiba  ama bazı programlarda gene uygun değil hatası alıyorum.

« Son Düzenleme: 29 Aralık 2018, 22:32:26 Gönderen: Greydeath »
Knoppix live CD, Pardus Live CD, Suse Linux Live CD
Ubuntu(Notebook), Linux Mint(Bilgisayar)

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16807
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Bu programların neler olduğunu ya da çıktıların sonuçlarını tahmin ederek cevap vermemizi bekliyor olamayacağınızı varsayıyorum. Bunlardan bir tanesinin Wine olduğu anlayabiliyoruz, ama diğerleri neler? Bir de istenen komutların çıktılarını bir daha rica edelim, bunları size zorluk çıkarmak için istemiyoruz. Lütfen bu hususları göz ardı etmeyelim.

Wine ile ilgili durum farklı bir sürümünü zaten yüklemiş olmanız sebebiyle olabilir. Öncelikle, önceden yüklediğiniz sürümle ilgili paketleri tamamen kaldırınız.

Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Greydeath

  • Çaylak Penguen
  • **
  • İleti: 106
  • Dağıtım: Manjaro 18.0.4
  • Masaüstü: XFCE
  • Grafik Kartı: NVIDIA GF108 [GeForce GT 420]
  • İşlemci: Intel Core i5-2500
  • RAM: 8 GB
wine resmini  soruna örnek olsun diye paylaştım. Son birkaç gündür yazılım yöneticisinde bazı programlarda bu tip örneklerle karşılaşmaya başladım. Kodlardan sonra programlar yüklenebilir oluyor.   

Kod: [Seç]
inxi -Sr
System: Host: MuratLmint Kernel: 4.15.0-43-generic x86_64 (64 bit)
           Desktop: MATE 1.18.0  Distro: Linux Mint 18.3 Sylvia
Repos:     Active apt sources in file: /etc/apt/sources.list
           deb http://liveusb.info/multisystem/depot all main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://packages.linuxmint.com sylvia main upstream import backport
           deb http://archive.ubuntu.com/ubuntu xenial main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-updates main restricted universe multiverse
           deb http://archive.ubuntu.com/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
Kod: [Seç]
sudo apt-get update
Aynı:  1 http://archive.ubuntu.com/ubuntu xenial InRelease
Aynı:  2 http://security.ubuntu.com/ubuntu xenial-security InRelease           
Aynı:  3 http://archive.canonical.com/ubuntu xenial InRelease                 
Yoksay:4 http://liveusb.info/multisystem/depot all InRelease                   
Yoksay:5 http://dl.google.com/linux/chrome/deb stable InRelease               
Aynı:  6 http://archive.ubuntu.com/ubuntu xenial-updates InRelease             
Aynı:  7 http://liveusb.info/multisystem/depot all Release                     
Aynı:  8 http://archive.ubuntu.com/ubuntu xenial-backports InRelease           
Yoksay:9 http://packages.linuxmint.com sylvia InRelease                       
Aynı:  11 http://dl.google.com/linux/chrome/deb stable Release                 
Aynı:  12 http://packages.linuxmint.com sylvia Release
Paket listeleri okunuyor... Bitti
Kod: [Seç]
sudo apt-get install -f
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor       
Durum bilgisi okunuyor... Bitti     
Aşağıdaki paketler otomatik olarak kurulmuş ve artık bu paketlere gerek duyulmuyor:
  libakonadi-kde4 libakonadiprotocolinternals1 libgrantlee-core0 libgsoap8
  libkcalcore4 libqca2-plugin-ossl libvncserver1 linux-headers-4.15.0-24
  linux-headers-4.15.0-24-generic linux-image-4.15.0-24-generic
  linux-modules-4.15.0-24-generic linux-modules-extra-4.15.0-24-generic
  skrooge-common virtualbox-dkms
Bu paketleri kaldırmak için 'sudo apt autoremove' komutunu kullanın.
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek
Knoppix live CD, Pardus Live CD, Suse Linux Live CD
Ubuntu(Notebook), Linux Mint(Bilgisayar)

Çevrimdışı Butterfly

  • Proje Sorumlusu
  • *****
  • İleti: 16807
  • Linux Mint Türkiye
  • Dağıtım: Linux Mint 19.1 & LMDE 3
  • Masaüstü: Cinnamon 4.0 & Mate 1.20
Alıntı
Kodlardan sonra programlar yüklenebilir oluyor.

Bu durumda sorun büyük ihtimalle paket bilgisi önbelleği güncel olmadığı için oluyordur. Sorun yaşandığında aşağıdaki komutla ya da Güncelleme Yöneticisindeki "Yenile" tuşu ile paket bilgisi önbelleğini güncellemeyi deneyebilirsiniz.

Kod: [Seç]
apt update
Yazılım Yöneticisine, eğer güncel değilse açılışta paket bilgisi önbelleğini güncelleme özelliği eklenmişti. Sanırım bu 19.'uncu sürümde olmuştu.
Elimizden geldiğince dilimizin döndüğünce...


Çevrimdışı Greydeath

  • Çaylak Penguen
  • **
  • İleti: 106
  • Dağıtım: Manjaro 18.0.4
  • Masaüstü: XFCE
  • Grafik Kartı: NVIDIA GF108 [GeForce GT 420]
  • İşlemci: Intel Core i5-2500
  • RAM: 8 GB
Teşekkürler sorunuma cevabımı aldım demek güncelleme ya da bağlanma ile alakalı bir şey konuyu etiketliyorum.
Knoppix live CD, Pardus Live CD, Suse Linux Live CD
Ubuntu(Notebook), Linux Mint(Bilgisayar)